{% extends "dashboard/dashboard_content.html" %}


{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Alumni Scholarship Registration
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <form action="" method="post" class="form-horizontal" id="wifi_form">{% csrf_token %}
                        <div class="form-group">
                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Start Date</label>
                            <div class="col-md-5 col-sm-6 col-xs-12">
                                <input type="text" id="start_date" class="form-control" name="s_date">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">End Date</label>
                            <div class="col-md-5 col-sm-6 col-xs-12">
                                <input type="text" id="end_date" class="form-control" name="e_date">
                            </div>
                        </div>

                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button type="submit" class="btn brn-lg btn-success"
                                    value="Save" name="shortlist">Get Applications
                            </button>
                        </div>
                    </form>
                </div>
            </div>
            <br>
            <br>
            {% if difPres %}
            <div class="col-md-8 col-md-offset-2"><h3>Candidates with differently Abled</h3>
                <div class="row">
                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button class="btn btn-primary" onclick="location.href='{% url 'download_result_as_pdf_alumni' cat=0 %}'">
                                        PDF
                             </button>
                        </div>

                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button class="btn btn-primary" onclick="location.href='{% url 'download_result_as_csv_alumni' cat=0 %}'">
                                        CSV
                             </button>
                        </div>
                    <table class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Rank</th>
                            <th>Application Number</th>
                            <th>Roll No</th>
                            <th>Weightage</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entry in diffAbl %}
                            <tr>
                                <td>{{ entry.rank }}</td>
                                <td>{{ entry.appl.pk }}</td>
                                <td>{{ entry.appl.student.roll_no }}</td>
                                <td>{{ entry.appl.weightage }}</td>                                
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
                </div>
            {% endif %}
            {% if onePres %}
            <div class="col-md-8 col-md-offset-2">
                <h3>Candidates with One Parent</h3>
                <div class="row">
                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button class="btn btn-primary" onclick="location.href='{% url 'download_result_as_pdf_alumni' cat=1 %}'">
                                        PDF
                             </button>
                        </div>

                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button class="btn btn-primary" onclick="location.href='{% url 'download_result_as_csv_alumni' cat=1 %}'">
                                        CSV
                             </button>
                        </div>
                    <table class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Rank</th>
                            <th>Application Number</th>
                            <th>Roll No</th>
                            <th>Weightage</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entry in oneParent %}
                            <tr>
                                <td>{{ entry.rank }}</td>
                                <td>{{ entry.appl.pk }}</td>
                                <td>{{ entry.appl.student.roll_no }}</td>
                                <td>{{ entry.appl.weightage }}</td>                                
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
                </div>
            {% endif %}
            {% if bothPres %}
            <div class="col-md-8 col-md-offset-2"><h3>Candidates with no Parent</h3>
                <div class="row">
                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button class="btn btn-primary" onclick="location.href='{% url 'download_result_as_pdf_alumni' cat=2 %}'">
                                        PDF
                             </button>
                        </div>

                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button class="btn btn-primary" onclick="location.href='{% url 'download_result_as_csv_alumni' cat=2 %}'">
                                        CSV
                             </button>
                        </div>
                    <table class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Rank</th>
                            <th>Application Number</th>
                            <th>Roll No</th>
                            <th>Weightage</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entry in bothPar %}
                            <tr>
                                <td>{{ entry.rank }}</td>
                                <td>{{ entry.appl.pk }}</td>
                                <td>{{ entry.appl.student.roll_no }}</td>
                                <td>{{ entry.appl.weightage }}</td>                                
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
                </div>
            {% endif %}
            {% if commPres %}
            <div class="col-md-8 col-md-offset-2"><h3>Candidates of general category</h3>
                <div class="row">
                   <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button class="btn btn-primary" onclick="location.href='{% url 'download_result_as_pdf_alumni' cat=3 %}'">
                                        PDF
                             </button>
                        </div>

                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button class="btn btn-primary" onclick="location.href='{% url 'download_result_as_csv_alumni' cat=3 %}'">
                                        CSV
                             </button>
                        </div>
                    <table class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Rank</th>
                            <th>Application Number</th>
                            <th>Roll No</th>
                            <th>Weightage</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entry in common %}
                            <tr>
                                <td>{{ entry.rank }}</td>
                                <td>{{ entry.appl.pk }}</td>
                                <td>{{ entry.appl.student.roll_no }}</td>
                                <td>{{ entry.appl.weightage }}</td>                                
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
                </div>
            {% endif %}
            {% if commPres or difPres or bothPres or onePres %}
            <div class="col-md-8 col-md-offset-2"><h3>All candidates regardless of categories</h3>
                <div class="row">
                   <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button class="btn btn-primary" onclick="location.href='{% url 'download_result_as_pdf_alumni' cat=4 %}'">
                                        PDF
                             </button>
                        </div>

                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button class="btn btn-primary" onclick="location.href='{% url 'download_result_as_csv_alumni' cat=4 %}'">
                                        CSV
                             </button>
                        </div>
                </div>
                </div>
            
            {% endif %}
            {% if exCGPA or exArr or exSchH or exSchL %}
            <form action="" method="post" class="form-horizontal">{% csrf_token %}
            {% endif %}
            {% if exCGPA %}
            <div class="col-md-8 col-md-offset-2"><h3>Exception in CGPA</h3>
                <div class="row">
                    <table class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Application Number</th>
                            <th>Roll No</th>
                            <th>Student given CGPA</th>
                            <th>COE given CGPA</th>
                            <th>Consideration of this error</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entry in exceptionCGPA %}
                        
                            <tr>
                                <td>{{ entry.appl.pk }}</td>
                                <td>{{ entry.appl.student.roll_no }}</td>
                                <td>{{ entry.appl.cgpa }}</td>
                                <td>{{ entry.cgpa }}</td>
                                <td>
                                    <input type="checkbox" name="exCGP{{ entry.appl.pk }}" value="No">
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
                </div>
            {% endif %}
            {% if exArr %}
            <div class="col-md-8 col-md-offset-2"><h3>Exception in No Of Arrears</h3>
                <div class="row">
                    <table class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Application Number</th>
                            <th>Roll No</th>
                            <th>Student given Arrears</th>
                            <th>COE given Arrears</th>
                            <th>Consideration of this error</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entry in exceptionArr %}
                            <tr>
                                <td>{{ entry.appl.pk }}</td>
                                <td>{{ entry.appl.student.roll_no }}</td>
                                <td>{{ entry.appl.noOfArrears }}</td>
                                <td>{{ entry.Arr }}</td>        
                                <td><input type="checkbox" name="exnOAr{{ entry.appl.pk }}" value="No"></td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table></div>
                    </div>
                 {% endif %}
            {% if exSchL %}
            <div class="col-md-8 col-md-offset-2"><h3>Exception in Scholarship details(Said as low)</h3>
                <div class="row">
                    <table class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Application Number</th>
                            <th>Roll No</th>
                            <th>Student given Scholarship details</th>
                            <th>COE given Scholarship details</th>
                            <th>Consideration of this error</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entry in exceptionSchL %}
                            <tr>
                                <td>{{ entry.appl.pk }}</td>
                                <td>{{ entry.appl.student.roll_no }}</td>
                                <td>{{ entry.stuSch }}</td>
                                <td>{{ entry.COESch }}</td>  
                                <td><input type="checkbox" name="exSch{{ entry.appl.pk }}" value="No"></td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table></div>
                    </div>
                 {% endif %}
                 {% if exSchH %}
            <div class="col-md-8 col-md-offset-2"><h3>Exception in Scholarship details(Said as high)</h3>
                <div class="row">
                    <table class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Application Number</th>
                            <th>Roll No</th>
                            <th>Student given Scholarship details</th>
                            <th>COE given Scholarship details</th>
                            <th>Consideration of this error</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entry in exceptionSchH %}
                            <tr>
                                <td>{{ entry.appl.pk }}</td>
                                <td>{{ entry.appl.student.roll_no }}</td>
                                <td>{{ entry.stuSch }}</td>
                                <td>{{ entry.COESch }}</td>            
                                <td><input type="checkbox" name="exSch{{ entry.appl.pk }}" value="No"></td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table></div>
                    
                     </div>
                 {% endif %}
                 {% if exCGPA or exArr or exSchH or exSchL %}
                 <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button type="submit" class="btn brn-lg btn-success"
                                    value="ignoreErrors" name="ignoreErrors">Dont consider selected errors
                            </button>
                        </div>
                </form>
                 <div class="col-md-12 col-sm-12 col-xs-12">
                 
                    <form action="" method="post" class="form-horizontal" id="wifi_form">{% csrf_token %}
                        <div class="form-group">
                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Enter an alert message to be sent to students with exception details</label>
                            <div class="col-md-5 col-sm-6 col-xs-12">
                                <input type="text" name="warning" class="form-control" value="Meet the alumni staff within 3 days about the mistake you done in filling details">
                            </div>
                        </div>
<br>
                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button type="submit" class="btn brn-lg btn-success"
                                    value="Save" name="shortlist">Send
                            </button>
                        </div>
                    </form>
                </div>
                {% endif %}
            {% if alumni_application_instances %}
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <h3>Details about missing documents by student</h3>
                    <form action="" method="post" class="form-horizontal" id="wifi_form">{% csrf_token %}
                        <div class="form-group">
                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Student</label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select class="selectpicker" name="studDoc"
                                   multiple  title="Not Alloted" required data-live-search="true"
                            >
                                    {% for level in alumni_application_instances %}
                                        <option value="{{ level.appl.student.pk }}">{{ level.appl.student }}-{{level.appl.student.roll_no}}-{{level.appl.student.department}}</option>
                                    {% endfor %}
                                </select>
                            </div>
                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Document missed</label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select class="selectpicker" name="documen"
                                    multiple title="Not Alloted" required data-live-search="true"
                            >
                                    <option value="">None</option>
                                    {% for level in documents %}
                                        <option value="{{ level }}">{{ level }}</option>
                                    {% endfor %}
                                </select>
                            </div><br>
                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button type="submit" class="btn brn-lg btn-success"
                                    value="Save" name="shortlist1">Send
                            </button>
                        </div>
                    </form>
                </div>
                <div class="col-md-8 col-md-offset-2">
                <div class="row">
                    <table class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Application Number</th>
                            <th>Applied Date</th>
                            <th>Student Name</th>
                            <th>Roll No</th>
                            <th>Application status</th>
                            <th>Application PDF</th>
                            <th>Operations</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entry in alumni_application_instances %}
                            <tr>
                                <td>{{ entry.appl.pk }}</td>
                                <td>{{ entry.appl.date_of_application }}</td>
                                <td>{{ entry.appl.student }}</td>
                                <td><a href="/{{ entry.student.roll_no }}">{{ entry.appl.student.roll_no }}</a></td>
                                <td>
                                    {{ entry.status }}
                                </td>
                                <td>
                                    <button class="btn btn-primary"
                                            onclick="location.href='{% url 'download_appl_as_pdf_alumni' application_id=entry.appl.pk %}'">
                                        PDF
                                    </button>
                                </td>
                                
                                <td>
                                    <button class="btn btn-primary"
                                            onclick="location.href='{% url 'edit_application' application_id=entry.appl.pk %}'">
                                       Edit application
                                    </button>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% endif %}
            </div>
        </div>
    </div>
    <script type="text/javascript">
        $(function () {
            $("#start_date").datepicker({
                dateFormat: "dd-mm-yy",
            });
            $("#end_date").datepicker({
                dateFormat: "dd-mm-yy",
            });
        });
    </script>
{% endblock %}

